io.vertx.ext.mongo

## Enum Alternate

- java.lang.Object
- - java.lang.Enum<Alternate>
  - - io.vertx.ext.mongo.Alternate

- All Implemented Interfaces:
    Serializable, Comparable<Alternate>

      public enum Alternate
      extends Enum<Alternate>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NON_IGNORABLE`
    `SHIFTED`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Alternate` | `fromString(String alternateValue)`
    `String` | `toString()`
    `static Alternate` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Alternate[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NON_IGNORABLE

          public static final Alternate NON_IGNORABLE

    - #### SHIFTED

          public static final Alternate SHIFTED

  - ### Method Detail

    - #### values

          public static Alternate[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Alternate c : Alternate.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Alternate valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### fromString

          public static Alternate fromString(String alternateValue)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Alternate>`

Copyright © 2021 Eclipse. All rights reserved.